Emails from no-reply redmine's address hell cycle

2009-10-30 04:18 - Roland Discein

Status: Closed Start date: 2009-10-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Hello, coders!

I wish to share with u the bug i've found.

Please correct me if I wrong, but it seems since unknown_user feature was added, there are possible troubles with spam email

letters may occur.

Desire such installation:

We have system-wide email for responding "myredmine@mycompany.com";

We have several projects, "A", "B", and "C";

With our redmine we parsing different email addresses for adding issues to projects with uncnown_user=create and specific project=

options enabled, including redmine email address, for example, projectb@mycompany.com, projectc@mycompany.com, 

myredmine@mycompany.com;

Once upon a day, we receive a spam letter where the sender equals recipient and unfortunately equals one of our emails..

For example, letter from projectc@mycompany.com to projectc@mycompany.com .

Then, application does the following:

creating user named projectc@mycompany.com according to spam letter;

sending letter 1 (with projectc's password) from myredmine@mycompany.com to projectc@mycompany.com;

creating issue 1 (with spam body) in project C;

sending letter 2++ (about issue 1 created) from myredmine@mycompany.com to projectc@mycompany.com,

which in cycle becomes new followups of issue 1;

creating issue 2 (with projectc's credentials) in project C;

sending letter 3++ (about issue 2 created) from myredmine@mycompany.com to projectc@mycompany.com;

which in cycle becomes new followups of issue 2;

creating user named myredmine@mycompany.com according to Letter 1;

sending letter 4 (with myredmine's password) from myredmine@mycompany.com to myredmine@mycompany.com;

creating issue 3 (with myredmine's credentials) in project A;

sending letter 5++ (about issue 3 created) from myredmine@mycompany.com to myredmine@mycompany.com;

which in cycle becomes new followups of issue 3...

Maybe this sequence is wrong, but algorythm is clear and from one hell letter (or because of lack of brains) we have 3 infinitely

growing issues, which wasting rails time and eating disk space.

Only one solution  I've found quickly - to add users with system and projects emails and uncheck all notification options for them.

Maybe the community offers another solution to prevent such email cycling.

Any suggestions?

Associated revisions

Revision 3022 - 2009-11-08 14:51 - Jean-Philippe Lang

Ignore emails received from the application emission address to avoid hell cycles (#4139).

History

#1 - 2009-11-08 14:51 - Jean-Philippe Lang
- Status changed from New to Resolved

- Target version set to 0.8.7

- Resolution set to Fixed

Emails received from the application emission address are now ignored (r3022).

In your example, it will stop after creating issue 1.

Maybe we could also ignore emails where 'From' and 'To' addresses are the same. It would prevent the issue 1 to be created.

#2 - 2009-11-11 10:57 - Roland Discein

Yep, thank you for appropriate changes ))

#3 - 2009-11-14 18:43 - Eric Davis

- Status changed from Resolved to Closed

- Target version changed from 0.8.7 to 0.9.0

I think this should be pushed to 0.9.  From what it looks like the 0.8 branch doesn't have the unknown users option in it's mailhandler (from r2789).  If

I'm wrong, feel free to reset this back to 0.8.7.

#4 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#5 - 2011-10-25 13:05 - Ira Phelan
